%global __requires_exclude perl\\(Programme|Streamer

Name:           get_iplayer
Version:        3.31
Release:        %mkrel 1
Summary:        iPlayer TV, Radio, Podcase, Programmes stream tool
Group:          Networking/File transfer
License:        GPLv3+
Url:            https://www.infradead.org/get_iplayer/html/get_iplayer.html
Source:         https://github.com/get-iplayer/get_iplayer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:	ffmpeg
Requires:	atomicparsley
Requires:	perl(Mojolicious)
Requires:	perl(XML::Simple)
Requires:	perl(XML::LibXML)
Recommends:     flvstreamer

%description
Lists, searches and records BBC iPlayer TV/Radio, BBC Podcast and ITVplayer TV programmes
Note: This is the version from:
  https://www.infradead.org/get_iplayer/html/get_iplayer.html
which is a fork/continuation of the original from:
  https://linuxcentre.net/getiplayer
which was discontinued as outlined here:
  https://linuxcentre.net/get_iplayer-dropped-in-response-to-bbcs-lack-of-support-for-open-source

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}

install -m 755 get_iplayer %{buildroot}%{_bindir}

install -m 644 get_iplayer.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md
%{_bindir}/get_iplayer
%dir %{_datadir}/%{name}
%{_mandir}/man1/get_iplayer.1*


%changelog
* Sat Jan 21 2023 kekepower <kekepower> 3.31-1.mga9
+ Revision: 1934729
- Update to versino 3.31

* Sun May 29 2022 kekepower <kekepower> 3.30-1.mga9
+ Revision: 1860630
- Update to version 3.30

* Mon Mar 21 2022 umeabot <umeabot> 3.28-2.mga9
+ Revision: 1815775
- Mageia 9 Mass Rebuild

* Fri Dec 10 2021 kekepower <kekepower> 3.28-1.mga9
+ Revision: 1761281
- Update to version 3.28

* Tue Mar 02 2021 kekepower <kekepower> 3.27-1.mga9
+ Revision: 1696296
- Update to version 3.27

* Wed Sep 09 2020 kekepower <kekepower> 3.26-1.mga8
+ Revision: 1623790
- Update to version 3.26

* Sun Mar 08 2020 kekepower <kekepower> 3.25-1.mga8
+ Revision: 1554976
- Update to version 3.25

* Wed Feb 12 2020 umeabot <umeabot> 3.13-4.mga8
+ Revision: 1501433
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.13-3.mga7
+ Revision: 1278404
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 daviddavid <daviddavid> 3.13-2.mga7
+ Revision: 1218069
+ rebuild (emptylog)

* Tue Mar 27 2018 kekepower <kekepower> 3.13-1.mga7
+ Revision: 1212929
- Update to version 3.13

* Wed Nov 29 2017 mokraemer <mokraemer> 3.07-1.mga7
+ Revision: 1180190
- new version

* Thu Feb 18 2016 umeabot <umeabot> 2.94-2.mga6
+ Revision: 966140
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 doktor5000 <doktor5000> 2.94-1.mga6
+ Revision: 842575
- new version 2.94 to cope with latest BBC changes

* Mon Nov 03 2014 colin <colin> 2.90-1.mga5
+ Revision: 795341
- New version: 2.90

* Wed Oct 15 2014 umeabot <umeabot> 2.85-4.mga5
+ Revision: 743349
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 2.85-3.mga5
+ Revision: 731258
- add requires excludes
- fix license
- install man file

* Tue Sep 16 2014 umeabot <umeabot> 2.85-2.mga5
+ Revision: 679546
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Nov 26 2013 colin <colin> 2.85-1.mga4
+ Revision: 553570
- New version: 2.85

* Fri Oct 18 2013 umeabot <umeabot> 2.80-3.mga4
+ Revision: 504784
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.80-2.mga3
+ Revision: 351485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 shlomif <shlomif> 2.80-1.mga2
+ Revision: 157354
- imported package get_iplayer

